RDF::Trine::Parser::RDFPatch(3pm)

NAME
RDF::Trine::Parser::RDFPatch - RDF-Patch Parser

VERSION
This document describes RDF::Trine::Parser::RDFPatch version 1.019

SYNOPSIS
 use RDF::Trine::Parser::RDFPatch;
 my $serializer = RDF::Trine::Parser::RDFPatch->new();

DESCRIPTION
The RDF::Trine::Parser::RDFPatch class provides an API for serializing RDF graphs to the RDF-Patch syntax.

METHODS

"new (  )"
    Returns a new RDF-Patch Parser object.

"namespace_map"
    Returns the RDF::Trine::NamespaceMap object used in parsing.

"parse ( $base_uri, $rdf, \&handler )"
"parse_file ( $base, $fh, \&handler )"
"handle_op ( $op, $handler, $lineno )"
    Handles the RDF::Trine::Parser::RDFPatch::Op operation object. For 'A'dd operations, the $handler callback is called with the RDF statement. Otherwise an exception is thrown.

"parse_line ( $line, $base )"
    Returns an operation object.

"new ( $op, @args )"
    Returns a new RDF-Patch Parser operation object.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

SEE ALSO
<http://afs.github.io/rdf-patch/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.